import{s as Ze,n as et,o as tt}from"../chunks/scheduler.7bc62968.js";import{S as it,i as nt,g as o,s as a,r as c,A as at,h as r,f as i,c as s,j as Je,u as m,x as l,k as Ye,y as st,a as n,v as h,d as u,t as p,w as g}from"../chunks/index.2f8492b0.js";import{H as f}from"../chunks/Heading.14fb2476.js";function ot(Ae){let d,K,X,N,v,J,y,Ie="In today’s world, computer vision systems perform ever more challenging tasks. Some of which are even difficult for humans to do. Let’s consider India. Do you know India has the highest number of registered two-wheelers in the world? With that many people, sometimes they forget to use a helmet. This is dangerous and can cause severe injuries to the person. To address these issues, the government of India, in collaboration with other institutions, developed a computer vision system that automatically catches riders without a helmet and their license plate and imposes strict fines against them to discourage people from breaking the law.",Y,b,Le="Of course, fining people is not the only application of computer vision. There are many more in different fields, such as healthcare, retail, and other industries. Here, we provide a few high-level examples of computer vision systems.",Z,w,ee,C,te,x,Pe='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/743a2a115b53f258c9e6bc7744534d9e03b8a124/self_driving_gif.gif" alt="Example of Computer Vision tasksin autonomous vehicle, source Andrej Karpathy."/>',ie,$,He="Self-driving cars heavily rely on computer vision to perceive and interpret the environment. They use cameras and sensors to identify objects, pedestrians, traffic signs, lane markings, and other vehicles on the road. Based on the analyzed data, computer vision algorithms help these vehicles make real-time decisions, such as steering, accelerating, or braking. Companies like Tesla, Waymo, and Uber are actively working on this technology to make transportation safer and more efficient.",ne,T,ae,k,Ee="Computer vision is revolutionizing the retail industry. Many online retailers and brick-and-mortar stores are using it for various purposes. One significant application for this is the object recognition and recommendation systems. By analyzing images or videos of products, computer vision algorithms can identify items, understand their features, and recommend similar products to customers. For example, platforms like Amazon, eBay, and Walmart use computer vision to suggest related products based on users’ viewing or purchasing. Additionally, in physical stores, computer vision-powered systems can track inventory levels, detect stock shortages, and even analyze customer behavior to optimize store layouts and marketing strategies, which can ultimately help them enhance their stores.",se,_,oe,M,qe="CV in quality control on assembly lines helps achieve higher accuracy, efficiency, and consistency in detecting and rectifying defects, reducing waste, improving product quality, and streamlining manufacturing processes. There are many domains in which this is used; some of them are:",re,A,ze="<strong>Defect detection</strong>:  CV systems can analyze products on assembly lines in real-time, identifying defects or irregularities that might not be immediately visible to the human eye. For instance, CV can inspect electronic components, automotive parts, or packaged goods in manufacturing to spot imperfections, scratches, dents, or incorrect assembly. These systems compare the product against a standard reference to determine if it meets quality standards.",le,I,Se="<strong>Automated Inspection</strong>: Traditional quality control often involves manual inspection, which is time-consuming and prone to human error. CV systems automate this process by using cameras and machine learning algorithms to capture images or videos of products as they move along the assembly line. These images are then analyzed to detect deviations from the standard, ensuring consistency and high quality in mass production.",de,L,Ve="<strong>Real-time Feedback and Maintenance System</strong>: By integrating CV into assembly lines, manufacturers can receive real-time feedback about product quality. If a defect is detected, the system can trigger immediate actions, such as alerting a human operator, diverting the faulty product for rework, or even adjusting the machinery to correct the issue, minimizing the production of defective items and optimizing the overall production process.",ce,P,me,H,je='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/743a2a115b53f258c9e6bc7744534d9e03b8a124/application_02.png" alt="Example of Tumor Detection in Medical Imaging"/>',he,E,Re="Medical image analysis involves the application of computer vision and machine learning techniques to interpret and extract information from medical images like X-rays, CT scans, MRIs, ultrasounds, and histopathology slides.",ue,q,De="<li><p><strong>Diagnostic Assistance</strong>: Computer vision aids in diagnosing diseases and conditions by analyzing medical images. For instance, in radiology, algorithms can detect abnormalities such as tumors and fractures in X-rays or MRIs. These systems assist healthcare professionals by highlighting areas of concern or providing quantitative data that helps decision-making.</p></li> <li><p><strong>Segmentation and Detection:</strong>: Medical image analysis involves segmenting and detecting specific structures or anomalies within the images. This process helps isolate organs, tissues, or pathologies for closer examination. For example, in cancer detection, computer vision algorithms can segment and analyze tumors from MRI or CT scans, assisting in treatment planning and monitoring.</p></li> <li><p><strong>Treatment Planning and Monitoring</strong>: Computer vision contributes to treatment planning by providing precise measurements, tracking changes over time, and assisting in surgical planning. It helps doctors understand the extent and progression of a disease, enabling them to plan and adjust treatment strategies accordingly. Doctors were already capable of doing most of these tasks, but they needed to do them by hand. CV systems can do it automatically, which frees us doctors to do other tasks.</p></li> <li><p><strong>AI-Assisted Radiology</strong>: AI-powered systems in radiology assist radiologists by automating routine tasks, reducing workload, and improving accuracy. These systems can flag potentially abnormal findings, provide quantitative analysis, and even predict potential health issues based on patterns identified in medical images.</p></li> <li><p><strong>Drug Development and Research</strong>:  In drug development and medical research, computer vision techniques assist in analyzing cellular structures, tissue samples, or genetic materials. This aids in understanding diseases at a microscopic level, contributing to the development of new drugs, therapies, or diagnostic tools.</p></li>",pe,z,ge,S,Fe="Computer Vision systems face a multitude of challenges that arise from the complexity of processing visual information in real-world scenarios, ranging from poor data quality, privacy, and ethical concerns along with other concerns, which are mentioned in the table below:",fe,V,Be="<thead><tr><th>Factor</th> <th>Challenges</th></tr></thead> <tbody><tr><td>Variability in Data</td> <td>The data collected from the real world is highly diverse, with variations in lighting, viewpoint, occlusions, and backgrounds, making it challenging for reliable computer vision systems to be developed.</td></tr> <tr><td>Scalability</td> <td>Computer vision systems need to be scalable to manage large datasets and meet real-time processing requirements due to the continuous increase in visual data.</td></tr> <tr><td>Accuracy</td> <td>Achieving high accuracy in object detection, scene interpretation, and tracking is a significant challenge, especially in complex or cluttered scenes, often due to noise, irrelevant features, and poor image quality.</td></tr> <tr><td>Robustness to Noise</td> <td>Real-world data is noisy, containing defects, sensor artifacts, and distortions. Computer vision systems must be robust enough to handle and process such noisy data effectively.</td></tr> <tr><td>Integration with Other Technologies</td> <td>Integrating computer vision with technologies like natural language processing, robotics, or augmented reality poses challenges related to system interoperability, expanding the usability of machine learning and computer vision.</td></tr> <tr><td>Privacy and Ethical Concerns</td> <td>Real-world applications of computer vision, especially in surveillance, facial recognition, and data gathering, raise concerns about privacy and ethics, necessitating proper handling of databases and personal information.</td></tr> <tr><td>Real-time Processing</td> <td>Applications like autonomous vehicles and augmented reality require real-time processing, posing challenges in achieving the necessary computational efficiency, often requiring substantial computational power and capable cloud platforms.</td></tr> <tr><td>Long-term Reliability</td> <td>Maintaining the reliability of computer vision systems over extended periods in real-life scenarios is challenging, as ensuring continued accuracy and flexibility can be difficult.</td></tr> <tr><td>Generalization</td> <td>Developing models with good generalization across diverse contexts and domains is a significant challenge, requiring the ability to adapt to changing circumstances without extensive retraining.</td></tr> <tr><td>Calibration and Maintenance</td> <td>Calibrating and maintaining hardware, such as cameras and sensors, in real-world settings presents challenges, often due to logistical complications and the need to withstand extreme weather conditions.</td></tr></tbody>",ve,j,ye,R,Oe='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/743a2a115b53f258c9e6bc7744534d9e03b8a124/ethical_considerations.png" alt="Another summary of Ethical Considerations. Created Isabella Bicalho-Frazeto and Seshu Pavan."/>',be,D,We="Ethical considerations in computer vision are of paramount importance as this technology becomes increasingly integrated into various aspects of our lives. It is important to note that ethical consideration existed long before the spread of AI based technologies. It is intrinsecately tied to its birth.",we,F,Ue="The London Hospital survival predictor is a great example of that. It was created in 1972 and its job was to predict whether patients would recover from a coma. It had a dial that either indictated “survive” or “irreversible brain damage”. It was the first applications of patter recognition. Most surprisingly, it was one of the early forms of neural networks. Even at its birth, this raised concerned and doctors were advise to not take its input solely and the machine was never used to remove patient’s life support.",Ce,B,Qe="Life has changed between then and now. We lived in a global, digital society. The ethical considerations of a model must keep considered in these lenses too. Today, we talk a lot of about buildin fair models. Fairness, in this context, refers to a property of a model to behave in a equitative manner, without target discrimination or unfair bias against a group of a individual. Where bias refers to the inclination for or against a person or group. This is tricky in practice.",xe,O,Xe="In contrast to performance metrics, there is not a mathematical metric of fairness. To evaluate it, you must understand the problem at hand. To complicate things fowards, bias can pop at any point in model development; on the data, the AI design, the deployment, and the model applications.",$e,W,Ge='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/743a2a115b53f258c9e6bc7744534d9e03b8a124/fairness.png" alt="Example of accuracy, precision, bias and unfairness in models. Created by Marilia Melo Favalesso and Isabella Bicalho-Frazeto. Adapted with permission by Isabella Bicalho-Frazeto and Seshu Pavan."/>',Te,U,Ke="There are several efforts in this direction, including the systematic report of model risks, limitation and biases in model cards (special files that accopany the model and provide important information on it). There is a lot more to be said on this topic and that is why there is a dedicated chapter on it in this course. However, there are some key concepts will introduce here to provide a high-level overview of some of the ethical considerations behind it. We summarize these in the table below.",ke,Q,Ne="<thead><tr><th>Ethical Considerations</th> <th>Challenges</th></tr></thead> <tbody><tr><td>Privacy Concerns</td> <td>Computer vision often involves collecting and analyzing visual data, raising concerns about individual privacy. Issues include unauthorized surveillance, facial recognition, and the potential for misuse of sensitive information.</td></tr> <tr><td>Bias and Fairness</td> <td>Biases in data, algorithms, or the design of computer vision systems can lead to unfair outcomes, perpetuating social inequalities. Ensuring fairness in data collection, algorithm design, and decision-making is crucial to prevent discrimination based on race, gender, or other factors.</td></tr> <tr><td>Accuracy and Accountability</td> <td>Computer vision systems must be accurate and reliable. Accountability measures are necessary to address errors or failures, ensuring that those responsible for system development are held accountable for any unintended consequences.</td></tr> <tr><td>Consent and Informed Decision Making</td> <td>Obtaining informed consent from individuals whose data is being collected or used by computer vision systems is essential. Users should be informed about how their data will be used and have the right to make informed decisions about its usage.</td></tr> <tr><td>Dual Use Concerns</td> <td>Computer vision technology can have both beneficial and potentially harmful uses. Ensuring that the technology is not used for malicious purposes, such as surveillance or invasion of privacy, is crucial.</td></tr> <tr><td>Transparency and Explainability</td> <td>Computer vision systems should be transparent in their functioning and decisions. Users should be able to understand how these systems work and the reasons behind their decisions.</td></tr> <tr><td>Child Protection</td> <td>Special care must be taken when dealing with visual data involving children. Safeguards should be in place to protect minors from privacy violations or any other potential harm.</td></tr> <tr><td>Cultural and Contextual Sensitivity</td> <td>Computer vision systems should be sensitive to cultural differences and diverse contexts to avoid misinterpretations or biases based on cultural or regional norms.</td></tr> <tr><td>Human Oversight</td> <td>Human oversight and intervention are crucial in ensuring that computer vision systems operate ethically and make accurate decisions. Humans should have the ability to intervene in cases where the system’s decisions might cause harm.</td></tr> <tr><td>Environmental Impact</td> <td>The development and deployment of computer vision systems should consider their environmental impact. This includes energy consumption, electronic waste, and other ecological factors.</td></tr> <tr><td>Educational and Ethical Training</td> <td>Training programs and educational initiatives are essential to raise awareness about the ethical implications of computer vision technology among developers, users, and policymakers.</td></tr></tbody>",_e,G,Me;return v=new f({props:{title:"Applications of Computer Vision",local:"applications-of-computer-vision",headingTag:"h1"}}),w=new f({props:{title:"A High Level Overview of Computer Vision System with Examples",local:"a-high-level-overview-of-computer-vision-system-with-examples",headingTag:"h2"}}),C=new f({props:{title:"Autonomous Vehicles",local:"autonomous-vehicles",headingTag:"h3"}}),T=new f({props:{title:"Retail and E-commerce",local:"retail-and-e-commerce",headingTag:"h3"}}),_=new f({props:{title:"Quality Control in Assembly Lines",local:"quality-control-in-assembly-lines",headingTag:"h3"}}),P=new f({props:{title:"Medical Image Analysis",local:"medical-image-analysis",headingTag:"h3"}}),z=new f({props:{title:"Challenges for CV Systems",local:"challenges-for-cv-systems",headingTag:"h2"}}),j=new f({props:{title:"Ethical Considerations",local:"ethical-considerations",headingTag:"h2"}}),{c(){d=o("meta"),K=a(),X=o("p"),N=a(),c(v.$$.fragment),J=a(),y=o("p"),y.textContent=Ie,Y=a(),b=o("p"),b.textContent=Le,Z=a(),c(w.$$.fragment),ee=a(),c(C.$$.fragment),te=a(),x=o("p"),x.innerHTML=Pe,ie=a(),$=o("p"),$.textContent=He,ne=a(),c(T.$$.fragment),ae=a(),k=o("p"),k.textContent=Ee,se=a(),c(_.$$.fragment),oe=a(),M=o("p"),M.textContent=qe,re=a(),A=o("p"),A.innerHTML=ze,le=a(),I=o("p"),I.innerHTML=Se,de=a(),L=o("p"),L.innerHTML=Ve,ce=a(),c(P.$$.fragment),me=a(),H=o("p"),H.innerHTML=je,he=a(),E=o("p"),E.textContent=Re,ue=a(),q=o("ol"),q.innerHTML=De,pe=a(),c(z.$$.fragment),ge=a(),S=o("p"),S.textContent=Fe,fe=a(),V=o("table"),V.innerHTML=Be,ve=a(),c(j.$$.fragment),ye=a(),R=o("p"),R.innerHTML=Oe,be=a(),D=o("p"),D.textContent=We,we=a(),F=o("p"),F.textContent=Ue,Ce=a(),B=o("p"),B.textContent=Qe,xe=a(),O=o("p"),O.textContent=Xe,$e=a(),W=o("p"),W.innerHTML=Ge,Te=a(),U=o("p"),U.textContent=Ke,ke=a(),Q=o("table"),Q.innerHTML=Ne,_e=a(),G=o("p"),this.h()},l(e){const t=at("svelte-u9bgzb",document.head);d=r(t,"META",{name:!0,content:!0}),t.forEach(i),K=s(e),X=r(e,"P",{}),Je(X).forEach(i),N=s(e),m(v.$$.fragment,e),J=s(e),y=r(e,"P",{"data-svelte-h":!0}),l(y)!=="svelte-1pfncch"&&(y.textContent=Ie),Y=s(e),b=r(e,"P",{"data-svelte-h":!0}),l(b)!=="svelte-x4ufsf"&&(b.textContent=Le),Z=s(e),m(w.$$.fragment,e),ee=s(e),m(C.$$.fragment,e),te=s(e),x=r(e,"P",{"data-svelte-h":!0}),l(x)!=="svelte-18bugmy"&&(x.innerHTML=Pe),ie=s(e),$=r(e,"P",{"data-svelte-h":!0}),l($)!=="svelte-wafhxm"&&($.textContent=He),ne=s(e),m(T.$$.fragment,e),ae=s(e),k=r(e,"P",{"data-svelte-h":!0}),l(k)!=="svelte-11egpco"&&(k.textContent=Ee),se=s(e),m(_.$$.fragment,e),oe=s(e),M=r(e,"P",{"data-svelte-h":!0}),l(M)!=="svelte-nsp4lo"&&(M.textContent=qe),re=s(e),A=r(e,"P",{"data-svelte-h":!0}),l(A)!=="svelte-1je487t"&&(A.innerHTML=ze),le=s(e),I=r(e,"P",{"data-svelte-h":!0}),l(I)!=="svelte-1svuea7"&&(I.innerHTML=Se),de=s(e),L=r(e,"P",{"data-svelte-h":!0}),l(L)!=="svelte-1rjrcgj"&&(L.innerHTML=Ve),ce=s(e),m(P.$$.fragment,e),me=s(e),H=r(e,"P",{"data-svelte-h":!0}),l(H)!=="svelte-1q3hn28"&&(H.innerHTML=je),he=s(e),E=r(e,"P",{"data-svelte-h":!0}),l(E)!=="svelte-24f13"&&(E.textContent=Re),ue=s(e),q=r(e,"OL",{"data-svelte-h":!0}),l(q)!=="svelte-vte2jq"&&(q.innerHTML=De),pe=s(e),m(z.$$.fragment,e),ge=s(e),S=r(e,"P",{"data-svelte-h":!0}),l(S)!=="svelte-gd7jmu"&&(S.textContent=Fe),fe=s(e),V=r(e,"TABLE",{"data-svelte-h":!0}),l(V)!=="svelte-y292z6"&&(V.innerHTML=Be),ve=s(e),m(j.$$.fragment,e),ye=s(e),R=r(e,"P",{"data-svelte-h":!0}),l(R)!=="svelte-1mcziu9"&&(R.innerHTML=Oe),be=s(e),D=r(e,"P",{"data-svelte-h":!0}),l(D)!=="svelte-nwngs9"&&(D.textContent=We),we=s(e),F=r(e,"P",{"data-svelte-h":!0}),l(F)!=="svelte-1av1tp0"&&(F.textContent=Ue),Ce=s(e),B=r(e,"P",{"data-svelte-h":!0}),l(B)!=="svelte-1hdxuub"&&(B.textContent=Qe),xe=s(e),O=r(e,"P",{"data-svelte-h":!0}),l(O)!=="svelte-1gvfnud"&&(O.textContent=Xe),$e=s(e),W=r(e,"P",{"data-svelte-h":!0}),l(W)!=="svelte-120qwu2"&&(W.innerHTML=Ge),Te=s(e),U=r(e,"P",{"data-svelte-h":!0}),l(U)!=="svelte-m582ef"&&(U.textContent=Ke),ke=s(e),Q=r(e,"TABLE",{"data-svelte-h":!0}),l(Q)!=="svelte-1eono6f"&&(Q.innerHTML=Ne),_e=s(e),G=r(e,"P",{}),Je(G).forEach(i),this.h()},h(){Ye(d,"name","hf:doc:metadata"),Ye(d,"content",rt)},m(e,t){st(document.head,d),n(e,K,t),n(e,X,t),n(e,N,t),h(v,e,t),n(e,J,t),n(e,y,t),n(e,Y,t),n(e,b,t),n(e,Z,t),h(w,e,t),n(e,ee,t),h(C,e,t),n(e,te,t),n(e,x,t),n(e,ie,t),n(e,$,t),n(e,ne,t),h(T,e,t),n(e,ae,t),n(e,k,t),n(e,se,t),h(_,e,t),n(e,oe,t),n(e,M,t),n(e,re,t),n(e,A,t),n(e,le,t),n(e,I,t),n(e,de,t),n(e,L,t),n(e,ce,t),h(P,e,t),n(e,me,t),n(e,H,t),n(e,he,t),n(e,E,t),n(e,ue,t),n(e,q,t),n(e,pe,t),h(z,e,t),n(e,ge,t),n(e,S,t),n(e,fe,t),n(e,V,t),n(e,ve,t),h(j,e,t),n(e,ye,t),n(e,R,t),n(e,be,t),n(e,D,t),n(e,we,t),n(e,F,t),n(e,Ce,t),n(e,B,t),n(e,xe,t),n(e,O,t),n(e,$e,t),n(e,W,t),n(e,Te,t),n(e,U,t),n(e,ke,t),n(e,Q,t),n(e,_e,t),n(e,G,t),Me=!0},p:et,i(e){Me||(u(v.$$.fragment,e),u(w.$$.fragment,e),u(C.$$.fragment,e),u(T.$$.fragment,e),u(_.$$.fragment,e),u(P.$$.fragment,e),u(z.$$.fragment,e),u(j.$$.fragment,e),Me=!0)},o(e){p(v.$$.fragment,e),p(w.$$.fragment,e),p(C.$$.fragment,e),p(T.$$.fragment,e),p(_.$$.fragment,e),p(P.$$.fragment,e),p(z.$$.fragment,e),p(j.$$.fragment,e),Me=!1},d(e){e&&(i(K),i(X),i(N),i(J),i(y),i(Y),i(b),i(Z),i(ee),i(te),i(x),i(ie),i($),i(ne),i(ae),i(k),i(se),i(oe),i(M),i(re),i(A),i(le),i(I),i(de),i(L),i(ce),i(me),i(H),i(he),i(E),i(ue),i(q),i(pe),i(ge),i(S),i(fe),i(V),i(ve),i(ye),i(R),i(be),i(D),i(we),i(F),i(Ce),i(B),i(xe),i(O),i($e),i(W),i(Te),i(U),i(ke),i(Q),i(_e),i(G)),i(d),g(v,e),g(w,e),g(C,e),g(T,e),g(_,e),g(P,e),g(z,e),g(j,e)}}}const rt='{"title":"Applications of Computer Vision","local":"applications-of-computer-vision","sections":[{"title":"A High Level Overview of Computer Vision System with Examples","local":"a-high-level-overview-of-computer-vision-system-with-examples","sections":[{"title":"Autonomous Vehicles","local":"autonomous-vehicles","sections":[],"depth":3},{"title":"Retail and E-commerce","local":"retail-and-e-commerce","sections":[],"depth":3},{"title":"Quality Control in Assembly Lines","local":"quality-control-in-assembly-lines","sections":[],"depth":3},{"title":"Medical Image Analysis","local":"medical-image-analysis","sections":[],"depth":3}],"depth":2},{"title":"Challenges for CV Systems","local":"challenges-for-cv-systems","sections":[],"depth":2},{"title":"Ethical Considerations","local":"ethical-considerations","sections":[],"depth":2}],"depth":1}';function lt(Ae){return tt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ht extends it{constructor(d){super(),nt(this,d,lt,ot,Ze,{})}}export{ht as component};
